# GetStrategyDetails

Request the strategy statistics. Non-paginated endpoint.

Endpoint: GET /Strategies/GetStrategyDetails
Version: v4
Security: 

## Query parameters:

  - `StrategyId` (integer,null, required)
    The Strategy ID

## Response 200 fields (application/json):

  - `Results` (array,null)
    Result array

  - `Results.StrategyId` (integer)
    The C2 strategyID

  - `Results.StrategyName` (string,null)
    The Strategy Name

  - `Results.IsAlive` (boolean)
    TRUE if the Strategy is alive

  - `Results.StartDate` (string,null)
    UTC Date of when the Strategy was created

  - `Results.PrimarySecurityTypes` (string,null)
    Primary asset class traded e.g. Stocks, Options, Forex, Futures

  - `Results.SecurityTypesEnabled` (object,null)
    List of all SecurityTypes enabled for trading in the strategy

  - `Results.MonthlyCost` (number,null)
    Cost of Strategy lease per month

  - `Results.StrategyOwnerId` (integer,null)
    The Strategy Owner's PersonId

  - `Results.StrategyOwnerName` (string,null)
    The Strategy Owner's name

  - `Results.SuggestedCapital` (integer,null)
    The suggested capital to invest in the Strategy

  - `Results.LastModified` (string,null)
    UTC Date of when the Strategy was last modified

  - `Results.Score` (integer,null)
    The C2 score

  - `Results.IsTradeOwnSystem` (boolean,null)
    TRUE if Strategy owner Trades his Own Strategy

  - `Results.WhiteLabelSiteId` (integer,null)
    The WhiteLabel SiteId, if any

  - `Results.IsPrivate` (boolean,null)
    TRUE if Strategy is private

  - `Results.AUM` (integer,null)
    The total USD assets under management

  - `Results.AUM_NumberOfAccounts` (integer,null)
    The number of accounts used in the AUM calculation

  - `Results.Return` (number,null)
    The total Strategy return

  - `Results.ReturnLabel` (string,null)
    The total Strategy return label which explains the Return calculation

  - `Results.Equity` (number,null)
    The current open profits (or open losses) in the positions the strategy is currently holding

  - `Results.Cash` (number,null)
    The current strategy cash

  - `Results.StartingCash` (number,null)
    The starting strategy cash

  - `Results.ProfitFactor` (number,null)
    The win/loss ratio

  - `Results.CashDividends` (number,null)
    The strategy's total cash dividends

  - `Results.BuyingPower` (number,null)
    The strategy's remaining Buying Power

  - `Results.MarginUsed` (number,null)
    The amount of collateral the strategy needs to put up to hold the positions it holds. For futures, this is specified per contract by the exchange; for stocks it's the standard margin formula

  - `Results.AgeInDays` (integer,null)
    Number of days the Strategy traded

  - `Results.ModelAccountValue` (number,null)
    The current strategy account value

  - `Results.NumTrades` (integer,null)
    The number of executed signals

  - `Results.NumWinners` (integer,null)
    The number of winning signals

  - `Results.NumLosers` (integer,null)
    The number of losing signals

  - `Results.PercentWinTrades` (number,null)
    % of winning trades

  - `Results.SumDollarWinners` (number,null)
    Total USD of winning trades

  - `Results.SumDollarLosers` (number,null)
    Total USD of losing trades

  - `Results.NumMonths` (integer,null)
    The total number of months for the strategy

  - `Results.WinMonthsInUI` (integer,null)
    The number of profitable months as shown on the C2 UI

  - `Results.WinMonths` (number,null)
    The number of profitable months

  - `Results.WinMonthsRatio` (number,null)
    The ratio of winning months

  - `Results.MaxDrawdown` (number,null)
    The % of maximum peak-to-valley historical drawdown

  - `Results.MaxDrawdownDays` (number,null)
    The number of days of the maximum peak-to-valley historical drawdown

  - `Results.MaxDrawdownStartDate` (string,null)
    The maximum drawdown start date YYYYMMDD

  - `Results.MaxDrawdownEndDate` (string,null)
    The maximum drawdown end date YYYYMMDD

  - `Results.AvgWinDollars` (number,null)
    The average Strategy winning trade in dollars

  - `Results.AvgLossDollars` (number,null)
    The average Strategy losing trade in dollars

  - `Results.AvgTradeDuration` (number,null)
    The average number of trading days that a position is held

  - `Results.CorrelationSP500` (number,null)
    The Correlation to the S&P 500 during strategy life

  - `Results.SP500Return` (number,null)
    The cumulative % return of the SP500 during strategy life

  - `Results.ReturnVsSP500` (number,null)
    The % return of the strategy - Return of SP500 % (cumulative)

  - `Results.AvgLeverage` (number,null)
    The average leverage used by the Strategy

  - `Results.MaxLeverage` (number,null)
    The max leverage used by the Strategy

  - `Results.CorrelationToSP500` (number,null)
    The strategy correlation to the SP500

  - `Results.Alpha` (number,null)
    The Alpha ratio

  - `Results.Beta` (number,null)
    The Beta ratio

  - `Results.Treynor` (number,null)
    The Treynor ratio

  - `Results.Sortino` (number,null)
    The Sortino ratio

  - `Results.Sharpe` (number,null)
    The Sharpe ratio tells us whether a portfolio's returns are due to smart investment decisions or a result of excess risk

  - `Results.Calmar` (number,null)
    The Calmar ratio

  - `ResponseStatus` (object)

  - `ResponseStatus.ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `ResponseStatus.Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `ResponseStatus.Errors` (array,null)

  - `ResponseStatus.Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `ResponseStatus.Errors.FieldName` (string,null)
    The affected parameter.

  - `ResponseStatus.Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 400 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 401 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 403 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 404 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 406 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 409 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 429 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 500 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 503 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.


## Response 304 fields
